[Pkg-nagios-changes] [SCM] Debian packaging of icinga-web branch, master, updated. debian/1.7.0-1_netways-10-gb278fe0
Markus Frosch
markus at lazyfrosch.de
Wed Jun 13 13:25:24 UTC 2012
The following commit has been merged in the master branch:
commit b278fe0c0a06ccb8e4ead0690c826fbf238bef2a
Author: Markus Frosch <markus at lazyfrosch.de>
Date: Wed Jun 13 15:25:20 2012 +0200
added apache2 config unlink and reload to postrm
diff --git a/debian/icinga-web.postrm b/debian/icinga-web.postrm
index e8b2dfc..1ab89b9 100644
--- a/debian/icinga-web.postrm
+++ b/debian/icinga-web.postrm
@@ -1,8 +1,10 @@
#!/bin/sh
set -e
-#set -x
+###
+# Database
+###
if [ -f /usr/share/debconf/confmodule ]; then
. /usr/share/debconf/confmodule
fi
@@ -11,10 +13,23 @@ if [ -f /usr/share/dbconfig-common/dpkg/postrm.mysql ]; then
dbc_go icinga-web $@
fi
-if [ "$1" = "purge" ]; then
- # removing webserver link
- [ -L /etc/apache2/conf.d/icinga-web.conf ] && rm -f /etc/apache2/conf.d/icinga-web.conf
+###
+# Webserver
+###
+
+# Apache2
+if [ -L /etc/apache2/conf.d/icinga-web.conf ]; then
+ echo "removing link /etc/apache2/conf.d/icinga-web.conf ..."
+ # remove link to config
+ rm -f /etc/apache2/conf.d/icinga-web.conf
+ # reload webserver
+ [ -x $(which invoke-rc.d) ] && invoke-rc.d apache2 reload || true
+fi
+###
+# Delete Configs and other stuff on purge
+###
+if [ "$1" = "purge" ]; then
rm -f /etc/icinga-web/conf.d/database-web.xml
ucf --purge /etc/icinga-web/conf.d/database-web.xml
rm -f /etc/icinga-web/conf.d/database-ido.xml
--
Debian packaging of icinga-web
More information about the Pkg-nagios-changes
mailing list